MaillyDocs

Set the read state of inbound emails in a thread

PATCH
/inbox/threads/{threadId}/read-state

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

threadId*string

Thread ID

Request Body

application/json
  1. body
is_read*boolean

true marks as read, false marks as unread

folder?string

inbox or quarantine, default inbox

[key: string]?unknown

Response Body

Updated

application/json
  1. response
success*boolean
thread_id*string
is_read*boolean
updated_count*number
[key: string]?unknown
curl -X PATCH 'https://api.mailly.site/inbox/threads/string/read-state' \  -H 'Content-Type: application/json' \  -d '{  "is_read": true,  "property1": null,  "property2": null}'
{  "success": true,  "thread_id": "string",  "is_read": true,  "updated_count": 0,  "property1": null,  "property2": null}